catalog:
  title: ROS Image Recognition externals

templates:
- github
- freestyle
- base

variables:
  keywords:
  - ros
  - tensorflow
  - image-recognition

  github.user: CentralLabFacilities
  github.project: object_recognition

  branches:
  - detection

  extra-requires:
  - nature: freestyle
    target: tensorflow
  extra-provides:
  - nature: freestyle
    target: ros-object-recognition-image-recognition-externals

  platform-requires:
    ubuntu:
      xenial:
        packages:
        - python-pip
        - python-dev
        - protobuf-compiler
        - python-pil
        - python-lxml
        - python-matplotlib

  shell.command: |
    git submodule update --init --recursive
    cd externals/models/research
    protoc object_detection/protos/*.proto --python_out=.
    cp -rf object_detection ${toolkit.dir}/lib/python2.7/site-packages/
    cp -rf slim ${toolkit.dir}/lib/python2.7/site-packages/

versions:
- name: pepper-robocup-2018
  variables:
    branch: detection
    shell.command: |
      git submodule update --init --recursive
      cd externals/models/research
      git checkout 4364390adbf16b57c093a05217897831f48da7d3
      protoc object_detection/protos/*.proto --python_out=.
      cp -rf object_detection ${toolkit.dir}/lib/python2.7/site-packages/
      cp -rf slim ${toolkit.dir}/lib/python2.7/site-packages/
